# Generated from blake.rb-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name blake.rb

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: BLAKE hash function library for ruby
License: MIT
URL: https://github.com/ydakuka/blake.rb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.12
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 3.8
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.80
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop-performance) >= 1.5
# BuildRequires: rubygem(rubocop-performance) < 2
# BuildRequires: rubygem(simplecov) >= 0.17
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
BLAKE is a cryptographic hash function based on Dan Bernstein's ChaCha stream
cipher, but a permuted copy of the input block, XORed with round constants, is
added before each ChaCha round. Like SHA-2, there are two variants differing
in the word size. ChaCha operates on a 4×4 array of words. BLAKE repeatedly
combines an 8-word hash value with 16 message words, truncating the ChaCha
result to obtain the next hash value. BLAKE-256 and BLAKE-224 use 32-bit words
and produce digest sizes of 256 bits and 224 bits, respectively, while
BLAKE-512 and BLAKE-384 use 64-bit words and produce digest sizes of 512 bits
and 384 bits, respectively.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%{gem_instdir}/.simplecov
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/blake.gemspec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.0.2-1
- Initial package
